public class Account {
    
    private int balance;
    
    public Account(int balance) {
        this.balance = balance;
    }
    
    public Account() {
        this(0);
    }
    
    public int getBalance() {
        return balance;
    }
    
    public void credit(int amount) {
        if(amount >= 0) {
            balance += amount;
        }
    }
    
    public void debit(int amount) {
        if(amount >= 0 && balance - amount >= 0) {
            balance -= amount;
        } else 
            throw new IllegalArgumentException("Cannot debit "+amount);
    }
    
    public void transferTo(Account target, int amount) {
        this.debit(amount);
        target.credit(amount);
    }
}
