public class CheckedAccount extends Account {

    private int minimalBalance;
    
    public CheckedAccount(int balance, int minimalBalance) {
        super(balance);
        this.minimalBalance = minimalBalance;
    }

    public CheckedAccount(int minimalBalance) {
        this(0, minimalBalance);
    }

    public void debit(int amount) {
        if(amount >= 0 && getBalance() - amount >= minimalBalance) {
            super.debit(amount);
        } else 
            throw new IllegalArgumentException("Cannot debit "+amount);
    }
}
